1.1

1.1

get /v1/organization-units/{unit_id}

Description

show a specific organization unit

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathunit_id
required
조직 단위 ID
Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
stringNone
queryorganization_id
optional
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationUnitShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-units/{unit_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "organization_unit": {
        "created_at": "2024-12-19 01:09:05.000",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "depth": 1,
        "description": "에스코어 조직 단위",
        "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "modified_at": "2023-10-15 14:30:00",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-organization-unit",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "service_name": "Organization",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/ou/ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "type": "OU"
    }
}